
include(FindPackageHandleStandardArgs)

if(NOT DEFINED ENV{R_HOME})
	message(FATAL_ERROR "Environment variable R_HOME not found")
endif()

find_path(R_INCLUDE_DIR R.h
	HINTS $ENV{R_HOME} /usr/share/R
	PATH_SUFFIXES include)

if(TARGET_32_BITS)
	set(R_LIB_ARCH "i386")
endif()

if(TARGET_64_BITS)
	set(R_LIB_ARCH "x64")
endif()

find_library(R_LIBRARY R
	HINTS $ENV{R_HOME} /usr/lib/R
	PATH_SUFFIXES bin/${R_LIB_ARCH} lib
	NO_DEFAULT_PATH)

message(STATUS "R_LIBRARY = ${R_LIBRARY}")

find_package_handle_standard_args(R DEFAULT_MSG R_INCLUDE_DIR R_LIBRARY)
